Subject: Re: [PATCH v4 3/3] powerpc/powernv: Introduce sysfs control for fastsleep workaround behavior

From: Shreyas B Prabhu <[email-masked]>
Date: Wed, 15 Apr 2015 11:35:53 +0530

> 
> A point that bothers me here is if we can potentially race with cpu
> hotplug ? If cpuX and its siblings are offline and it was interrupted to
> come online:
> 
> cpuX                                     cpuY
> Interrupted to come online
> Undo workaround
> 
>                                 Nop the fastsleep_workaround_exit path
>                                 IPI online cores: apply workaround once
> 
> Set yourself in the online mask
>                                 Nop the fastsleep_workaround_entry path
> 
> 
> This results in cpuX undoing the workaround on its core, never to set it
> back again.
> 
> So should we protect the region between the beginning and end of
> patching instructions with get_online_cpus() and put_online_cpus() ?
> 

Nice catch. I had missed this. Sending out a patch correcting this.

Thanks,
Shreyas